Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

https://www.googleapis.com/auth/userinfo.email
google_id_token-a99f12e0

View your email address

https://www.googleapis.com/auth/userinfo.email
google_id_token_legacy-a99f12e0

View your email address

Path Parameters

catalogId
string
required

The ID of the reference catalog

Query Parameters

nextPageToken
string

DEPRECATED. Use pageToken instead.

pageToken
string

The token for continuing a previous list request on the next page. This should be set to the value of 'nextPageToken' from the previous response.

parent
string

parent

expandDepth
integer<int32>
default:0

expandDepth

limit
integer<int32>
default:50

The maximum number of reference catalog values per page. (Default: 50)

order
enum<string>
default:NAME

The field on which to order the reference catalog values ('NAME' (default) in order A-Z then a-z).

Available options:
ID,
NAME,
CREATION_DATE,
RANK
securityCode
string

The security code

domain
string

The G Suite domain

dontIncludeDeleted
boolean
default:false

Whether to include deleted reference catalog values

Response

200 - application/json

A ApiReferenceCatalogValuePageableList response

kind
string
nextPageToken
string
referenceCatalogValues
object[]